pipeline {
    agent any
    
    tools {
        nodejs 'NodeJS16'
    }
    
    stages {
        stage('拉取代码') {
            steps {
                checkout scm
            }
        }
        
        stage('安装依赖') {
            steps {
                ssh '''
                # 清理缓存和旧依赖
                rm -rf node_modules package-lock.json
                # 重新安装依赖
                npm install --registry=https://registry.npmmirror.com  # 使用国内源加速
                '''
            }
        }
        
        stage('构建项目') {
            steps {
                sh 'npm run build'
            }
        }
        
        stage('部署项目') {
            steps {
                // 这里根据实际情况修改部署命令
                sh '''
                    # 将dist目录拷贝到Nginx或其他Web服务器
                    rm -rf /data/nginx/www/fafamall/demo/*
                    cp -r dist/* /data/nginx/www/fafamall/demo//
                '''
            }
        }
    }
    
    post {
        success {
            echo 'Vue项目部署成功'
        }
        failure {
            echo 'Vue项目部署失败'
        }
    }
}